Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(65)  |  Call(64)  |  Derive(0)  |  Import(1)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/utility.py   rhinopython(Download)
            xpoint = Rhino.Geometry.Point3d(plane[3],plane[4],plane[5])
            ypoint = Rhino.Geometry.Point3d(plane[6],plane[7],plane[8])
            rc     = Rhino.Geometry.Plane(origin, xpoint, ypoint)
            return rc
        if length==3 and (type(plane[0]) is list or type(plane[0]) is tuple):
            origin = Rhino.Geometry.Point3d(plane[0][0],plane[0][1],plane[0][2])
            xpoint = Rhino.Geometry.Point3d(plane[1][0],plane[1][1],plane[1][2])
            ypoint = Rhino.Geometry.Point3d(plane[2][0],plane[2][1],plane[2][2])
            rc     = Rhino.Geometry.Plane(origin, xpoint, ypoint)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/plane.py   rhinopython(Download)
    plane = rhutil.coerceplane(plane, True)
    origin = rhutil.coerce3dpoint(origin, True)
    rc = Rhino.Geometry.Plane(plane)
    rc.Origin = origin
    return rc
    x_axis = rhutil.coerce3dvector(x_axis, True)
    y_axis = rhutil.coerce3dvector(y_axis, True)
    return Rhino.Geometry.Plane(origin, x_axis, y_axis)
 
 
    origin = rhutil.coerce3dpoint(origin, True)
    normal = rhutil.coerce3dvector(normal, True)
    rc = Rhino.Geometry.Plane(origin, normal)
    if xaxis:
        xaxis = rhutil.coerce3dvector(xaxis, True)
        xaxis = Rhino.Geometry.Vector3d(xaxis)#prevent original xaxis parameter from being unitized too
        xaxis.Unitize()
        yaxis = Rhino.Geometry.Vector3d.CrossProduct(rc.Normal, xaxis)
        rc = Rhino.Geometry.Plane(origin, xaxis, yaxis)
    x = rhutil.coerce3dpoint(x, True)
    y = rhutil.coerce3dpoint(y, True)
    plane = Rhino.Geometry.Plane(origin, x, y)
    if plane.IsValid: return plane
 

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask_II.py   ladybug(Download)
 
    # base plane to draw the arc
    basePlane = rc.Geometry.Plane(cenPt, rc.Geometry.Vector3d.XAxis)
    baseVector = rc.Geometry.Vector3d.YAxis
 
def isMeshFaceVisible(cenPt, pts, context):
 
    # check if the point is in the same plane as surface
    try:
        plane = rc.Geometry.Plane(pts[0], pts[1], pts[2])
 
                # project to xy
                basePlane = rc.Geometry.Plane(centerPt, rc.Geometry.Vector3d.ZAxis)
                lineProjectedToXY = rc.Geometry.Curve.ProjectToPlane(prjLine, basePlane)
                projectLines.append(lineProjectedToXY)

src/l/a/ladybug-HEAD/src/Ladybug_SolarFan.py   ladybug(Download)
 
        originalPlane = plane
        newPlane = rc.Geometry.Plane(originalPlane.Origin, -vector)
 
        z0 = originalPlane.ZAxis
 
        if intersect:
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/l/a/ladybug-HEAD/src/Ladybug_SolarEnvelope.py   ladybug(Download)
 
        originalPlane = plane
        newPlane = rc.Geometry.Plane(originalPlane.Origin, -vector)
 
        z0 = originalPlane.ZAxis
 
        if intersect:
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/r/h/rhinopython-HEAD/scripts/rhinoscript/dimension.py   rhinopython(Download)
    end = rhutil.coerce3dpoint(end_point, True)
    onpoint = rhutil.coerce3dpoint(point_on_dimension_line, True)
    plane = Rhino.Geometry.Plane(start, end, onpoint)
    success, s, t = plane.ClosestParameter(start)
    start = Rhino.Geometry.Point2d(s,t)

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
 
        originalPlane = plane
        newPlane = rc.Geometry.Plane(originalPlane.Origin, -vector)
 
        z0 = originalPlane.ZAxis
 
        if intersect:
            P2 = rc.Geometry.Plane(originalPlane)
            P2.XAxis = axis.UnitTangent
            P2.YAxis = rc.Geometry.Vector3d.CrossProduct(P2.XAxis, P2.ZAxis)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
        normal = base_point - height_point
        height = normal.Length
        plane = Rhino.Geometry.Plane(height_point, normal)
    cone = Rhino.Geometry.Cone(plane, height, radius)
    brep = Rhino.Geometry.Brep.CreateFromCone(cone, cap)
        base = rhutil.coerce3dpoint(base, True)
        normal = height_point-base
        plane = Rhino.Geometry.Plane(base, normal)
        height = normal.Length
        circle = Rhino.Geometry.Circle(plane, radius)
        if direction: direction = direction-basepoint
        else: direction = Rhino.Geometry.Vector3d.ZAxis
        baseplane = Rhino.Geometry.Plane(basepoint, direction)
    torus = Rhino.Geometry.Torus(baseplane, major_radius, minor_radius)
    revsurf = torus.ToRevSurface()

src/l/a/ladybug-HEAD/src/Ladybug_Forward Raytracing.py   ladybug(Download)
                        crossProductNormal = rc.Geometry.Vector3d.CrossProduct(intNormal, lastVector)
 
                        plane = rc.Geometry.Plane(intPts[-1], intNormal, crossProductNormal)
 
                        mirrorT = rc.Geometry.Transform.Mirror(intPts[-1], plane.Normal)

src/l/a/ladybug-HEAD/src/Ladybug_Bounce from Surface.py   ladybug(Download)
                        crossProductNormal = rc.Geometry.Vector3d.CrossProduct(intNormal, lastVector)
 
                        plane = rc.Geometry.Plane(intPts[-1], intNormal, crossProductNormal)
 
                        mirrorT = rc.Geometry.Transform.Mirror(intPts[-1], plane.Normal)

  1 | 2 | 3  Next